Summary: A GNU set of database routines which use extensible hashing.
Summary(de): GNU Datenbanken-Routinen mit erweiterbarem Hashing.
Name: gdbm
Version: 1.8.0
Release: 4mdk
Source: ftp://ftp.gnu.org/pub/gnu/gdbm-%{version}.tar.bz2
Patch0: gdbm-1.8.0-jbj.patch.bz2
Patch1: gdbm-1.8.0-asnonroot.patch.bz2
Copyright: GPL
Group: System/Libraries
Prefix: %{_prefix}
Buildroot: /var/tmp/gdbm-root

%description
Gdbm is a GNU database indexing library, including routines
which use extensible hashing.  Gdbm works in a similar way to standard UNIX
dbm routines.  Gdbm is useful for developers who write C applications and
need access to a simple and efficient database or who are building C
applications which will use such a database.

If you're a C developer and your programs need access to simple database
routines, you should install gdbm.  You'll also need to install gdbm-devel.

%package devel
Summary: Development libraries and header files for the gdbm library.
Group: Development/Databases
Requires: gdbm
Prereq: /sbin/install-info

%description devel
Gdbm-devel contains the development libraries and header files
for gdbm, the GNU database system.  These libraries and header files are
necessary if you plan to do development using the gdbm database.

Install gdbm-devel if you are developing C programs which will use the
gdbm database library.  You'll also need to install the gdbm package.

%prep
%setup -q
%patch0 -p 1 -b .jbj
%patch1 -p0

%build

# XXX --includedir dinna work
%configure
make includedir=%{_prefix}/include/gdbm

%install
rm -rf $RPM_BUILD_ROOT

# XXX --includedir dinna work
make install install-compat \
    prefix=${RPM_BUILD_ROOT}%{_prefix} \
    includedir=${RPM_BUILD_ROOT}%{_prefix}/include/gdbm

( cd $RPM_BUILD_ROOT
  ln -sf gdbm/gdbm.h .%{_prefix}/include/gdbm.h
  ln -sf libgdbm.so.2.0.0 .%{_prefix}/lib/libgdbm.so
  bzip2 -9f .%{_prefix}/info/gdbm*info*
  bzip2 -f9 $RPM_BUILD_ROOT/usr/man/*/*
)

%post -p /sbin/ldconfig

%post devel
/sbin/install-info /usr/info/gdbm.info.bz2 /usr/info/dir --entry="* gdbm: (gdbm).                   The GNU Database."

%postun -p /sbin/ldconfig

%preun devel
if [ $1 = 0 ]; then
   /sbin/install-info --delete /usr/info/gdbm.info.bz2 /usr/info/dir --entry="* gdbm: (gdbm).                   The GNU Database."
fi

%files
%defattr(-,root,root)
/usr/lib/libgdbm.so.2.*

%files devel
%defattr(-,root,root)
%{_prefix}/lib/libgdbm.so
%{_prefix}/lib/libgdbm.la
%{_prefix}/lib/libgdbm.a
%{_prefix}/include/*
%{_prefix}/info/gdbm*bz2
%{_prefix}/man/man3/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Apr  3 2000 Adam Lebsack <adam@mandrakesoft.com> 1.8.0-4mdk
- Release build.

* Wed Oct 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Fix building as non root.
- Merge with redhat patchs.
- make sure created database header is initialized (r).
- repackage to include /usr/include/gdbm/*dbm.h compatibility includes(r)
- make sure created database header is initialized (r).

* Wed Jun 30 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 1.8.0

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- add de locale

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- build against glibc 2.1

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- gdbm-devel moved to Development/Libraries

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- buildroot and built for Manhattan

* Tue Oct 14 1997 Donnie Barnes <djb@redhat.com>
- spec file cleanups

* Thu Jun 12 1997 Erik Troan <ewt@redhat.com>
- built against glibc
